/** @file 
	@brief Functionality for starting @b NokSync from Thunderbird
**/

// This file is part of the NokSync Thunderbird Extension
// See http://www.KaarPoSoft.dk/noksync/
// $Id: overlay.js 3 2006-12-13 09:48:57Z kaarposoft $

/** Global @c Object for handling Thunderbird events
	@type Object
**/	var noksync = {
  onLoad: function() {
    // initialization code
    this.initialized = true;
  },

  onMenuItemCommand: function() {
    window.open("chrome://noksync/content/main.xul", "", "chrome,centerscreen");
  },

  onToolbarButtonCommand: function(e) {
    // just reuse the function above.  you can change this, obviously!
    noksync.onMenuItemCommand(e);
  }

};

window.addEventListener("load", function(e) { noksync.onLoad(e); }, false); 

